Update Wikiversity logos
Closed, ResolvedPublic

Description

The Wikiversity community has agreed by unanimity to update the logo in all the Wikiversity projects, see https://beta.wikiversity.org/wiki/Wikiversity:Babel#Update_Wikiversity_logo

A very experienced user from Commons made the new version of the logo as well as localizations for all the languages, see https://beta.wikiversity.org/wiki/File:Wikiversity_logo_2017.svg

Therefore, I request an update of the current logos to the new versions.

A few comments:

  • Please also update the main logo at https://www.wikiversity.org/
  • The German and Japanese Wikiversities both have their current logos with English text, rather than their own languages. Therefore, please update their logos to the English version, rather than the localized one.
  • We users can take care of updating the logos on places where we have access, but please also update the logo on high-profile protected pages, such as https://wikimediafoundation.org/wiki/Our_projects

Thanks!

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2017, 2:27 AM

The German and Japanese Wikiversities both have their current logos with English text, rather than their own languages. Therefore, please update their logos to the English version, rather than the localized one.

@Takot @whym @Rxy and @Kanjy are you 4 agree this?

German and Japanese communities should be offered the choice, it's the right moment for the opportunity.

Japanese Wikiversity uses an English logo because I did not talk about the logo when it was created. I agree with using the Japanese logo.

Urbanecm claimed this task.Mar 31 2017, 3:48 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMar 31 2017, 3:48 PM
Urbanecm triaged this task as Low priority.Mar 31 2017, 3:49 PM

Wikiversity.org) Ask one of metawiki's sysops to reupload https://meta.wikimedia.org/wiki/File:Wikiversity-logo_1x.png
English, German and Japanese Wikiversity) If any local wikiversity wants to upload new version of logo, they should reupload Wiki.png (this does apply to Wikiversity and Wikinews only). In this case, https://de.wikiversity.org/wiki/Datei:Wiki.png, https://en.wikiversity.org/wiki/File:Wiki.png and https://ja.wikiversity.org/wiki/%E3%83%95%E3%82%A1%E3%82%A4%E3%83%AB:Wiki.png should be reuploaded. The same applies if non-English Wikiversities wants to use localized logos, just upload it as Wiki.png.
Our projects page) https://commons.wikimedia.org/wiki/File:Wikiversity-logo-en.svg should be reuploaded.

Seems there is nothing to do from our side, every requested thing is community-managed.

Urbanecm removed Urbanecm as the assignee of this task.Apr 1 2017, 9:45 AM
Urbanecm added a subscriber: Urbanecm.

After examining config declaiming.

Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Apr 1 2017, 10:50 AM
Urbanecm moved this task from Working on to Blocked on others on the User-Urbanecm board.

So we're moving the logo configuration to be fully managed by the configuration repository. @Urbanecm is preparing changes to achieve that.

When we got an answer from de.wikiversity, we can prepare the configuration on the top of Gerrit change 346047 .

@Dereckson I'm not sure I understand. You're changing the config so that the logo is loaded from static resources rather than Commons, so I shouldn't update the logos from Commons like @Urbanecm said? Should I just wait then?

You should upload them on Commons as new files, and give URLs. That would allow to keep former logos for historical value.

Whatever you choose, we'll download them in our static/ folder and serve them directly from there.

All seems ready, we only need feedback from de. and we can proceed it seems.

Sophivorus added a comment.EditedJun 11 2017, 12:22 PM

@Dereckson After three months of waiting and insisting for German Wikiversity input, two users have responded:

  • Hubertl (admin) has expressed support for the new logo, but said nothing about the German/English text.
  • Bocardodarapti (admin) says he doesn't care about the logo, but prefers the English text because German Wikiversity users refer to the project as "Wikiversity" rather than "Wikiversität".

Given that nobody has opposed to the logo change, there's at least some support, and enough time and opportunity has been given to express opposition, I think it's time to move forward with the change. Regarding the text, given that the only clear opinion from the German Wikiversity has been to keep the English text, and it comes from an admin who surely knows the German Wikiversity ways, I´d say keep the English text for them.

Regarding the Japanese Wikiversity, the only user to express his opinion clearly (an admin called アルトクール) says that it makes sense to have Japanese text in the Japanese logo. As there's no opposition or dissent either, I'd say use the Japanese text for them.

Mvolz added a subscriber: Mvolz.Jun 26 2017, 9:15 AM
Mvolz added a comment.Jun 26 2017, 9:20 AM

These are lovely, and I think this is probably the most united I've ever seen any group of people over a logo. :)

Ping. What's current status of this?

Ping. What's current status of this?

Urbanecm claimed this task.Jul 18 2017, 1:35 PM

Going to update the logos.

Change 365966 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Update wikiversity's logos to 2017 form

https://gerrit.wikimedia.org/r/365966

Scheduled for tomorrow, 13:00-14:00 UTC (EU SWAT).

Change 365966 merged by jenkins-bot:
[operations/mediawiki-config@master] Update wikiversity's logos to 2017

https://gerrit.wikimedia.org/r/365966

Mentioned in SAL (#wikimedia-operations) [2017-07-19T13:09:40Z] <hashar@tin> Synchronized static/images/project-logos: Update wikiversity logos to 2017 - T160491 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2017-07-19T13:10:47Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Update wikiversity logos to 2017 - T160491 (duration: 00m 46s)

Urbanecm closed this task as Resolved.Jul 19 2017, 1:36 PM

You're welcome!

Krinkle reopened this task as Open.
Krinkle added a subscriber: Krinkle.

Remaining:

Thanks, and don't forget the favicons! https://en.wikiversity.org/favicon.ico

Remaining:

Portals uses a file from meta. It isn't to be done here unless we're going to change it.

Thanks, and don't forget the favicons! https://en.wikiversity.org/favicon.ico

Do you know how can I create such favicon?

Change 371029 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Update wikviersity favicon

https://gerrit.wikimedia.org/r/371029

Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Aug 12 2017, 10:54 PM
Urbanecm moved this task from To deploy to Working on on the Wikimedia-Site-requests board.

Change 371029 merged by jenkins-bot:
[operations/mediawiki-config@master] Update wikiversity favicon

https://gerrit.wikimedia.org/r/371029

Mentioned in SAL (#wikimedia-operations) [2017-08-17T13:24:58Z] <zfilipin@tin> Synchronized static/favicon/wikiversity.ico: SWAT: [[gerrit:371029|Update wikiversity favicon (T160491)]] (duration: 00m 50s)

zfilipin@terbium:~$ echo "https://en.wikipedia.org/static/favicon/wikiversity.ico" | mwscript purgeList.php --wiki=enwiki
Purging 1 urls
Done!

Change 372425 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] Updating wikiversity logo on www.wikipedia.org

https://gerrit.wikimedia.org/r/372425

@mxn can you take a look at updating the wikiversity logo on the portals from meta?

@Jdrewniak is working on the portal update (sister projects section). Is there anything else other than this what needs to be done?

Change 372425 merged by jenkins-bot:
[wikimedia/portals@master] Updating wikiversity logo on www.wikipedia.org

https://gerrit.wikimedia.org/r/372425

Krinkle removed a subscriber: Krinkle.Aug 23 2017, 9:47 PM
debt moved this task from Backlog to Done on the Discovery-Portal-Sprint board.
debt added a subscriber: debt.

This was put into production on Aug 24, 2017.

Urbanecm closed this task as Resolved.Aug 24 2017, 4:10 PM

There should be nothing else to do. If there's something, please reopen&comment.